CREATE TABLE cso_workflow_step (
    CONTENT_CHANNEL_ID                VARCHAR2(128),
    DATE_ADDED                        TIMESTAMP(6)     NOT NULL,
    DATE_MODIFIED                     TIMESTAMP(6)     NOT NULL,
    RECORD_ID                         VARCHAR2(128),
    SORT_ORDER                        NUMBER       ,
    WORKFLOW_ID                       VARCHAR2(128),
    ALLOW_PROPERTIES_EDITING          CHAR(4)      ,
    ALLOW_DOCUMENT_EDITING            CHAR(4)      ,
    DEFAULT_NOTIFI_QUEUE_TIME         NUMBER       ,
    REPEAT_NOTIFI_INTERVAL            NUMBER       ,
    REFERENCE_KEY                     VARCHAR2(400)    NOT NULL,
    ONLY_ASSIGNEE_CAN_APPROVE_FLAG    VARCHAR2(4)  ,
    CONTENT_CHANNEL_ID                VARCHAR2(128),
    DATE_ADDED                        TIMESTAMP(6)     NOT NULL,
    DATE_MODIFIED                     TIMESTAMP(6)     NOT NULL,
    RECORD_ID                         VARCHAR2(128),
    SORT_ORDER                        NUMBER       ,
    WORKFLOW_ID                       VARCHAR2(128),
    ALLOW_PROPERTIES_EDITING          CHAR(4)      ,
    ALLOW_DOCUMENT_EDITING            CHAR(4)      ,
    DEFAULT_NOTIFI_QUEUE_TIME         NUMBER       ,
    REPEAT_NOTIFI_INTERVAL            NUMBER       ,
    REFERENCE_KEY                     VARCHAR2(400)    NOT NULL,
    ONLY_ASSIGNEE_CAN_APPROVE_FLAG    VARCHAR2(4)  ,
    CONSTRAINT pk_cso_workflow_step PRIMARY KEY (RECORD_ID, RECORD_ID)
);
